package domain


type AlibabaWdkBillListApiResult struct {
    /*
        响应错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        响应错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        响应成功失败     */
    Success  *bool `json:"success,omitempty" `

    /*
        响应返回值     */
    Model  *AlibabaWdkBillListTxdBillListGetResult `json:"model,omitempty" `

}

func (s *AlibabaWdkBillListApiResult) SetErrCode(v string) *AlibabaWdkBillListApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkBillListApiResult) SetErrMsg(v string) *AlibabaWdkBillListApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkBillListApiResult) SetSuccess(v bool) *AlibabaWdkBillListApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkBillListApiResult) SetModel(v AlibabaWdkBillListTxdBillListGetResult) *AlibabaWdkBillListApiResult {
    s.Model = &v
    return s
}
